# GST Certificate OCR

## Submit Document

### `ind_gst_ocr`

`POST` `https://secctrl.tutelar.io/api/v1/kyc/vision/ind_gst_ocr`

Post parameters description is given below:

| Post Parameter | Type   | Is Mandatory | Description |
| -------------- | ------ | ------------ | ----------- |
| `front_side`   | String | Yes          | Image Url   |
| `back_side`    | String | No           | Image Url   |

#### Sample Post Parameters

```json
{
    "front_side": "Base64 or Url",
    "back_side": "Base64 or Url"
}
```

200: Success Response

200: InProgress Response

400: Validation Error Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "86cedb68-50de-4fc1-8a83-af845c1db90c",
    "status": "completed",
    "result": {
        "gstin": "08AAICD6833H1ZG",
        "address": "Private Limited Company G-2, D-115, SHEETAL RESIDENCY, MANGALAM CITY, HATHOJ, Jaipur, Rajasthan, 302012",
        "constitution_of_business": "Private Limited Company",
        "date_of_liability": null,
        "legal_name": "DISCOUNT MART PRIVATE LIMITED",
        "pan_number": "",
        "trade_name": "DISCOUNT MART PRIVATE LIMITED",
        "type_of_registration": "Regular",
        "valid_upto": "NA",
        "valid_from": "NotApplicable"
    },
    "requested_at": "2024-04-22T06:40:53.442Z",
    "completed_at": "2024-04-22T06:40:55.334Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "2fd4c21f-478d-4e52-bdc1-87ac29cdb300",
    "status": "in_progress",
    "requested_at": "2024-04-22T06:15:03.375Z"
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Upload the front image of Aadhar card",
        "field": "front_side",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "417ae0c7-e241-4857-badb-b2f9cf90eaeb",
    "status": "failed",
    "error": {
        "message": "invalid GST image",
        "code": "ERROR"
    },
    "requested_at": "2024-04-22T06:31:04.841Z",
    "completed_at": "2024-04-22T06:31:06.479Z"
}
```

## Check Document Status

### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/vision/ind_voter_id_ocr`

Query parameters description is given below:

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| `reference_id`  | String | Yes          | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "86cedb68-50de-4fc1-8a83-af845c1db90c",
    "status": "completed",
    "result": {
        "gstin": "08AAICD6833H1ZG",
        "address": "Private Limited Company G-2, D-115, SHEETAL RESIDENCY, MANGALAM CITY, HATHOJ, Jaipur, Rajasthan, 302012",
        "constitution_of_business": "Private Limited Company",
        "date_of_liability": null,
        "legal_name": "DISCOUNT MART PRIVATE LIMITED",
        "pan_number": "",
        "trade_name": "DISCOUNT MART PRIVATE LIMITED",
        "type_of_registration": "Regular",
        "valid_upto": "NA",
        "valid_from": "NotApplicable"
    },
    "requested_at": "2024-04-22T06:40:53.442Z",
    "completed_at": "2024-04-22T06:40:55.334Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "2fd4c21f-478d-4e52-bdc1-87ac29cdb300",
    "status": "in_progress",
    "requested_at": "2024-04-22T06:15:03.375Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "417ae0c7-e241-4857-badb-b2f9cf90eaeb",
    "status": "failed",
    "error": {
        "message": "invalid GST image",
        "code": "ERROR"
    },
    "requested_at": "2024-04-22T06:31:04.841Z",
    "completed_at": "2024-04-22T06:31:06.479Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/gst-certificate-ocr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
